# List Invoices by Patient Account Endpoint: GET /patient/{client_id}/account/{account_id}/invoice Version: v1 Security: x-api-key, a-api-key ## Query parameters: - `page` (integer) Example: 1 - `page_size` (integer) Example: 50 - `sort_by` (array) Comma separated search fields. See Sorting Example: ["[\"field_name\",\"field_name\"]"] - `q[]` (array) Filter result by one or more fields. See Query Filtering Available filters: | Value | Format | |---|---| | payer_id | integer | | owing | double | | appointment_id | integer | | payment_id | integer | | created | timestamp | | updated | timestamp | | invoice_date | date | | invoice_number | integer | ## Path parameters: - `client_id` (integer, required) - `account_id` (integer, required) ## Response 200 fields (application/json): - `invoices` (array) - `invoices.row_num` (integer) - `invoices.total_rows` (integer) - `invoices.links` (object) - `invoices.links.self` (string) Example: "https://api.pracsuite.com/v1/invoice/1" - `invoices.tenant_id` (integer) - `invoices.invoice_id` (integer) - `invoices.client_id` (integer) - `invoices.account_id` (integer) - `invoices.invoice_date` (string) - `invoices.issued` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" - `invoices.due_date` (string) - `invoices.invoice_number` (integer) - `invoices.invoice_notes` (string) - `invoices.practice_notes` (string) - `invoices.business_id` (integer) - `invoices.payer_id` (integer) - `invoices.created` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" - `invoices.updated` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" - `invoices.created_by_user_id` (integer) - `invoices.updated_by_user_id` (integer) - `invoices.invoice_items` (array) - `invoices.invoice_items.invoice_item_id` (integer) - `invoices.invoice_items.item_time` (string) ISO 8601 local datetime in the tenant's timezone. Example: "2026-01-01T12:05:30" - `invoices.invoice_items.item_id` (integer) - `invoices.invoice_items.description` (string) - `invoices.invoice_items.debit` (number) - `invoices.invoice_items.paid` (number) - `invoices.invoice_items.discount` (number) - `invoices.invoice_items.write_off` (number) - `invoices.invoice_items.owing` (number) - `invoices.invoice_items.gst` (number) - `invoices.invoice_items.fee_cat_id` (integer) - `invoices.invoice_items.practitioner_id` (integer) - `invoices.invoice_items.quantity` (number) - `invoices.invoice_items.appointment_id` (integer) - `invoices.invoice_items.unit_price` (number) - `invoices.invoice_items.unit_discount` (number) - `invoices.invoice_items.unit_gst` (number) - `invoices.invoice_items.payment_items` (array) - `invoices.invoice_items.payment_items.payment_item_id` (integer) - `invoices.invoice_items.payment_items.payment_id` (integer) - `invoices.invoice_items.payment_items.amount` (number) - `invoices.invoice_items.payment_items.allocated_time` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" - `total_entries` (integer) ## Response 400 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 400 - `error.code` (string) Example: "INVALID_PARAMS" - `error.detail` (string) Human readable explanation of the error Example: "One or more request parameters are invalid." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 401 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "UNAUTHORIZED" - `error.detail` (string) Human readable explanation of the error Example: "Access could not be verified for this request." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 403 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "MISSING_AUTHENTICATION_TOKEN" - `error.detail` (string) Human readable explanation of the error Example: "Authentication token is missing or the requested endpoint does not exist" - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 404 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 404 - `error.code` (string) Example: "NOT_FOUND" - `error.detail` (string) Human readable explanation of the error Example: "Could not find {Resource} with ID {ID_HERE}" - `request_id` (string) Example: "00000000-0000-0000-0000-000000000000" ## Response 500 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 500 - `error.code` (string) Example: "SERVER_ERROR" - `error.detail` (string) Human readable explanation of the error Example: "An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000"